SDL_GetWindowPosition(3)

NAME
SDL_GetWindowPosition - Get the position of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetWindowPosition(SDL_Window *window, int *x, int *y);

DESCRIPTION
This is the current position of the window as last reported by the windowing system.

If you do not need the value for one of the positions a NULL may be passed in the x or y parameter.

FUNCTION PARAMETERS

window
    the window to query.

x   a pointer filled in with the x position of the window, may be NULL.

y   a pointer filled in with the y position of the window, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetWindowPosition(3)